> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/llms.txt)

# Retrieve an Element

> GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}



## Servers
- https://servername.iformbuilder.com/exzact/api/v60: https://servername.iformbuilder.com/exzact/api/v60


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page

- **element_id** (number)
  id of the element




## Responses
### 200
OK

#### Body: application/json (object)
- **id** (number)

- **name** (string)

- **global_id** (string)

- **version** (number)

- **label** (string)

- **description** (string)

- **data_type** (number)

- **data_size** (number)

- **created_date** (string)

- **created_by** (string)

- **modified_date** (string)

- **modified_by** (string)

- **widget_type** (string)

- **sort_order** (number)

- **optionlist_id** (number)

- **default_value** (string)

- **low_value** (number)

- **high_value** (number)

- **dynamic_value** (string)

- **is_required** (boolean)

- **condition_value** (string)

- **client_validation** (string)

- **is_disabled** (boolean)

- **reference_id_1** (string)

- **reference_id_2** (string)

- **reference_id_3** (string)

- **reference_id_4** (string)

- **reference_id_5** (string)

- **attachment_link** (string)

- **is_readonly** (boolean)

- **validation_message** (string)

- **is_action** (boolean)

- **smart_tbl_search** (string)

- **smart_tbl_search_col** (string)

- **is_encrypt** (boolean)

- **is_hide_typing** (boolean)

- **on_change** (string)

- **keyboard_type** (number)

- **dynamic_label** (string)

- **weighted_score** (number)



[Powered by Bump.sh](https://bump.sh)
